PACDIFF(8)

NOME
pacdiff - utilitário de manutenção de pacorig, pacnew e pacsave

SINOPSE

pacdiff [opções]

DESCRIÇÃO

pacdiff é um script que procura os arquivos pacorig, pacnew e pacsave das entradas de backup encontradas na base de dados local do pacman(8). Para cada arquivo encontrado, é fornecida a opção de visualizar, pular, comparar, remover ou sobrescrever o arquivo pacorig, pacnew ou pacsave encontrado.

OPÇÕES

  Opções de busca

-f, --find
    Procura usando find.

-l, --locate
    Procura usando locate.

-p, --pacmandb
    Procura arquivos de configuração ativos da base de dados do pacman(8). (padrão)

  Opções globais

-b, --backup
    Ao substituir, salva os arquivos antigos com .bak.

-c, --cachedir <dir>
    Procura em dir como o cache do pacman para candidatos de base de mesclagem de 3 vias.

-h, --help
    Exibe a sintaxe e as opções de linha de comando.

--nocolor
    Não coloriza a saída.

-o, --output
    Exibe arquivos em vez de mesclá-los.

-s, --sudo
    Usa sudo e sudoedit para mesclar/remover arquivos.

-3, --threeway
    Visualiza as comparações em 3 vias se o pacote base estiver disponível no cache. Caso contrário, volta para a comparação normal de 2 vias.

-V, --version
    Exibe informações da versão.

AMBIENTE

DIFFPROG
    Sobrescreve o programa de mesclagem padrão vim -d.

DIFFSEARCHPATH
    Substitui o caminho de pesquisa padrão /etc, apenas ao usar find.

MERGEPROG
    Substitui o programa de mesclagem de 3 vias padrão diff3 -m. Uma alternativa possível é git merge-file -p.

VEJA TAMBÉM

pacman(8), pacman.conf(5)

BUGS

Bugs? Você deve estar brincando; não há erros neste software. Mas se por acaso estivermos errados, envie um relatório de erro com o máximo de detalhes possível para https://gitlab.archlinux.org/pacman/pacman-contrib/-/issues/new.

AUTORES

Atuais mantenedores:

    • Johannes Löthberg <johannes@kyriasis.com>

    • Daniel M. Capella <polyzen@archlinux.org>

Para contribuidores adicionais, use git shortlog -s no repositório do pacman-contrib.git.

TRADUÇÃO
A tradução para português brasileiro desta página man foi criada por Rafael Fontenelle <rafaelff@gnome.org>

Esta tradução é uma documentação livre; leia a Licença Pública Geral GNU Versão 3 (https://www.gnu.org/licenses/gpl-3.0.html) ou posterior para as condições de direitos autorais. Nenhuma responsabilidade é aceita.

Se você encontrar algum erro na tradução desta página de manual, envie um e-mail para a lista de discussão de tradutores (debian-l10n-portuguese@lists.debian.org).